# -*-shell-script-*-
# autopackage specfile for the SDL library development package

[Meta]
ShortName: sdl-devel
SoftwareVersion: 1.2.5
DisplayName: Simple DirectMedia Layer Development Files
RootName: @libsdl.org/sdl/devel:$SOFTWAREVERSION
Summary: Simple DirectMedia Layer (SDL) development files
Packager: Hongli Lai <h.lai@chello.nl>
Maintainer: The SDL developers - http://www.libsdl.org/

[Description]
Header files, man pages, m4 macros and the "sdl-config" programme required for development with SDL.


[BuildPrepare]
prepareBuild


[BuildUnprepare]
unprepareBuild


[Extractions]
cd usr/local
extract lib << EOF
lib/libSDL.a
lib/libSDL.la
EOF

extract . <<EOF
man
bin
share
EOF


[Script-Prep]
require "@libsdl.org/sdl" 1.2

[Install]
safeSed bin/sdl-config "s|prefix=/usr/local|prefix=$PREFIX|"

copyFiles ./share/* "$PREFIX/share"
installExe ./bin/sdl-config
installMan 3 ./man/man3/*
copyFiles ./lib/* "$PREFIX/lib"


[Uninstall]
reverseLog
