/* Quick glib-style portable implementation of binreloc  */

#define HAVE_LINK_H 1

#include <stdio.h>
#define __USE_GNU
#include <link.h>
#include <dlfcn.h>

//char *_get_module_filename(void *sys_symbol)

#define internal static __attribute__((hidden))

internal int dl_callback(struct dl_phdr_info *info, size_t size, void *data)
{
    char **filename = (char **) data;
    printf("%d, %p, %s\n", info->dlpi_phnum, info->dlpi_addr, info->dlpi_name);
    return 0;
}

int main()
{
#ifdef WIN32
    return NULL;
#else
    char **filename;
    dl_iterate_phdr(&dl_callback, &filename);

    Dl_info info;
    printf("%d\n", dladdr(&main, &info));
    printf("%s\n", info.dli_fname);
#endif
}
