# -*-shell-script-*-
# autopackage specfile for the SDL library

[Meta]
ShortName: sdl
SoftwareVersion: 1.2.5
InterfaceVersion: 1.2
DisplayName: Simple DirectMedia Layer
RootName: @libsdl.org/sdl:$SOFTWAREVERSION
Summary: The Simple DirectMedia Layer
Packager: Hongli Lai <h.lai@chello.nl>
Maintainer: The SDL developers - http://www.libsdl.org/


[Description]
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed to provide fast access to the graphics frame buffer and audio device.


[BuildPrepare]
prepareBuild\
	--enable-debug=no\
	--enable-alsa=no\
	--enable-esd=no\
	--enable-arts=no\
	--enable-nas=no\
	--enable-mintaudio=no\
	--enable-video-x11-xme=no\
	--enable-video-photon=no\
	--enable-video-fbcon=no\
	--enable-video-directfb=no\
	--enable-video-ps2gs=no\
	--enable-video-ggi=no\
	--enable-video-svga=no\
	--enable-video-vgl=no\
	--enable-video-aalib=no\
	--enable-video-xbios=no\
	--enable-video-gem=no\
	--enable-pth=no\
	--enable-stdio-redirect=no\
	--enable-directx=no\
	--enable-dlopen=no


[BuildUnprepare]
unprepareBuild


[Imports]
import share/doc <<EOF
$source_dir/README
$source_dir/README-SDL.txt
$source_dir/COPYING
$source_dir/BUGS
EOF

import lib <<EOF
lib/*.so*
EOF


[Prepare]
require "@xfree86.org/xlib" 6.2


[Install]
installLib ./lib/*.so*

[Uninstall]
uninstallFromLog
